Sign up
curl --request POST \
--url https://api.proxyjam.com/public/v1/users/sign-up \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"password": "<string>",
"confirm_password": "<string>"
}
'import requests
url = "https://api.proxyjam.com/public/v1/users/sign-up"
payload = {
"email": "<string>",
"password": "<string>",
"confirm_password": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>', confirm_password: '<string>'})
};
fetch('https://api.proxyjam.com/public/v1/users/sign-up', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "<string>",
"expires_in": 123,
"user": {
"id": "<string>",
"email": "<string>",
"is_active": true,
"is_verified": true,
"created_at": "<string>"
}
}Sign up
Register a new user account.
POST
/
users
/
sign-up
Sign up
Creates a new user account and returns JWT tokens. The user is active immediately but email is unverified until
POST /users/verify-email is called.
Request body
string
required
Valid email address.
string
required
Account password.
string
Optional. If provided, must match
password.Response
string
JWT access token. Valid for 24 hours.
string
JWT refresh token. Use to get a new access token when it expires.
string
Always
bearer.integer
Access token lifetime in seconds.
object
Example
curl -X POST https://api.proxyjam.com/public/v1/users/sign-up \
-H "Content-Type: application/json" \
-d '{
"email": "you@example.com",
"password": "<your-password>"
}'
{
"access_token": "<YOUR_ACCESS_TOKEN>",
"refresh_token": "<YOUR_REFRESH_TOKEN>",
"token_type": "bearer",
"expires_in": 86400,
"user": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "you@example.com",
"is_active": true,
"is_verified": false,
"created_at": "2024-01-15T10:00:00Z"
}
}